# Changes from previous version

## 1. Request body

Embed input has changed.

From:&#x20;

```
{
    "data": {
    "post_code": "2771DS",
    "house_number": "87",
     "house_addition": "",
    "target_label": "A++++",
    "eco_delta": 0
	}
}
```

To

```
{
    "postcode": "2771DS",
    "housenumber": "87",
    "houseaddition": "",
    "target_label": "A++++",
    "eco_delta": 0
}
```

<mark style="background-color:red;">**The feature names have also changed for consistency with other apis.**</mark>

## 2. Inputs

&#x20;**a. Basic features**

roof\_type (new)

sloped\_roof\_insulation (changed from roof\_insulation)

flat\_roof\_insulation (changed from roof\_insulation)

electric\_cooking (new)

cooling (new)

district\_heating\_allowed (new)

electricity\_generation (new)

solar\_panels (per solar panel)  (changed from integer to list)

* pv\_total\_watt\_peak &#x20;
* pv\_area  (changed from separate solar\_panels\_surface)
* specific\_watt\_peak &#x20;
* angle &#x20;
* orientation &#x20;
* free\_roof\_area &#x20;
* roof\_type&#x20;

#### b. Costs assumptions&#x20;

cost\_indicators (changed from codes to names)

* &#x20;   fixed\_gas\_price
* &#x20;   variable\_gas\_price
* &#x20;   energy\_tax\_gas
* &#x20;   fixed\_electricity\_price
* &#x20;   variable\_electricity\_price
* &#x20;   energy\_tax\_electricity
* &#x20;   fixed\_heat\_price
* &#x20;   energy\_tax\_heat
* &#x20;   variable\_heat\_price
* &#x20;   tax\_credit
* &#x20;   feed\_in\_compensation
* &#x20;   feed\_in\_cost
* &#x20;   fixed\_solar\_panel\_costs
* &#x20;   netting\_percentage
* &#x20;   gas\_yearly\_price\_increase
* &#x20;   electricity\_yearly\_price\_increase
* &#x20;   external\_heating\_yearly\_price\_increase
* &#x20;   term
* &#x20;   discount\_rate
* &#x20;   tax\_rate
* &#x20;   custom\_costs (TBA)

see [Cost indicators](/english/sustainability/sustainability-api-v2/cost-indicators.md)

#### c. Measure filters

* &#x20;   wall\_filters
* &#x20;   sloped\_roof\_filters
* &#x20;   flat\_roof\_filters
* &#x20;   floor\_filters

see [Measure filters](/english/sustainability/sustainability-api-v2/measure-filters.md)

## 3. Outputs

number \_of\_doors

solar\_panel\_yield

energy\_cost\_monthly

energy\_cost\_yonthly

return\_on\_investment

sloped\_roof\_insulation (changed from roof\_insulation)

flat\_roof\_insulation (changed from roof\_insulation)

cooling (new)

electric\_cooking (new)

solar\_panels (per solar panel)

* roof\_surface
* roof\_type
* original\_watt\_peak\_capacity
* total\_watt\_peak\_capacity
* added\_watt\_peak\_capacity
* added\_panels
* inclination\_angle
* orientation

## 4. Output modifications

from:

```
"usage": {
	"gas": 1630,
	"energy": 2286,
	"city_heating": 0
},
"usage_potential": {
	"gas": 1362,
	"energy": 75,
	"city_heating": 0
}

```

to:

```
"gas_usage": {
	"current": 1630,
	"potential": 1362
},
"electricity_usage": {
	"current": 2286,
	"potential": 75
},
"city_heating_usage": {
	"current": 0,
	"potential": 0
}
```

*energy becomes electricity*<br>

## 5. Feature modifications

The value of some features now go from 1 to 4 instead of 0 to 3. Like:

wall\_inulation, floor\_insulation, living\_room\_windows, bedroom\_windows and the new flat\_roof\_insulation, sloped\_roof\_insulation

For example: “mediocre” wall\_insulation was 1 and now it has the number 2

See documentation for more info.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altum.ai/english/sustainability/sustainability-api-v2/changes-from-previous-version.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
